<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE config SYSTEM "ConfigChannel.dtd" >

<config>

	<!---------------------------------------------------------------------------------->
	<!--------------------------------PARTIE SPECIFIQUE MAG----------------------------->
	<!---------------------------------------------------------------------------------->
	
	<!---- Dclaration des groupes ayants potentiellement un accs au canal ---->
	<groupmapping>
			<group localname="PERS" uportalid="pags.TousPers"/>
			<group localname="ETUD" uportalid="pags.TousEtud"/>
	</groupmapping>
	
	<!-- Listes des actions MAG -->
  <actions>
  	
  	<!-- ACTION CENTRALE -->
	<action name="default" 
			classname="org.esupportail.portal.channels.CPref.Menu"
			rendertype="xsl" >
			<param name="plug.esup.restrictedAction">
				<value>PERS</value>
				<value>ETUD</value>
			</param>
			<param name="PERS">
				<value>menu_personnel.xsl</value>
			</param>    
			<param name="ETUD">
				<value>menu_etudiant.xsl</value>
			</param>
			
	</action>   
	         
	
	<!-- Information personnel pour un membre du personnel -->
	<action name="visuInfoPers" 
			classname="org.esupportail.portal.channels.CPref.actions.InfoPers"
			ssltitle="visu"
			sslfile="infoPers.ssl"
			rendertype="ssl"
			log="info">
			<param name="plug.esup.restrictedAction">
				<value>PERS</value>
			</param>
	</action>   
	<action name="infoPers" 
			classname="org.esupportail.portal.channels.CPref.actions.InfoPers"
			ssltitle="main"
			sslfile="infoPers.ssl"
			rendertype="ssl"
			log="info">
			<param name="plug.esup.restrictedAction">
				<value>PERS</value>
			</param>
	</action>   
	<action name="validInfoPers" 
			classname="org.esupportail.portal.channels.CPref.actions.InfoPers"
			ssltitle="valid"
			sslfile="infoPers.ssl"
			rendertype="ssl"
			log="info">
			<param name="plug.esup.restrictedAction">
				<value>PERS</value>
			</param>
	</action>   
  </actions>
  <displayError>Le canal a rencontr un problme. L'quipe technique est prvenue. Veuillez nous excuser pour ce dsagrment.</displayError>	

  

	<!---------------------------------------------------------------------------------->
	<!-----------------------------PARTIE SPECIFIQUE AU CANAL--------------------------->
	<!---------------------------------------------------------------------------------->
		
		<ldap
			urlRead="ldap://ldap.univ.fr:392/dc=univ,dc=fr ldap://ldap2.univ.fr:392/dc=univ,dc=fr"
			urlWrite="ldap://ldap.univ.fr:392/dc=univ,dc=fr"
			rootLDAP="dc=univ,dc=fr"
			basePeople="ou=People"
			ldapUid="uid"
		> 
		<attribut ldapName="uid" access="read" />
		<attribut ldapName="sn" access="read" />
		<attribut ldapName="givenname" access="read" />
		<attribut ldapName="mail" access="read" />
		<attribut ldapName="telephonenumber"    access="write" format="org.esupportail.portal.channels.CPref.formats.TelephoneNumber" />
		<attribut ldapName="facsimiletelephonenumber" access="write" format="org.esupportail.portal.channels.CPref.formats.TelephoneNumber" />
		<attribut ldapName="n2atrmaildrop"    access="write" >
			<format group="PERS" name="org.esupportail.portal.channels.CPref.formats.RedirectionPersonnelN2"/>
			<format group="ETUD" name="org.esupportail.portal.channels.CPref.formats.RedirectionEtudiantN2"/>
		</attribut>
		<attribut ldapName="n2atrperslistespub" access="write"/> 
			
	</ldap>

</config>