package org.esupportail.portal.channels.CPref.LDAP.Exceptions;

/** 
 * <p>Titre : FrameWorkException</p>
 * <p>Description : Classe de gestion des erreurs du framework</p>
 * <p>Copyright : Copyright (c) <a href="www.esup-portail.org">ESup-Portail 2004</a></p>
 * <p>Socit : N2</p>
 * @author <a href="mailto:cedric.champmartin@univ-nancy2.fr">Cdric Champmartin</a>
 * @version 1.0
 */
public class AuthLDAPException extends LDAPException {

	// message par dfaut fourni  l'utilisateur
	private String msgDefault = "Le login ou le mot de passe est incorrecte.";
	

	/**
	* Constructeur 
	* 
	*/
	public AuthLDAPException (String displayMessage) {
		setDisplayMessage(displayMessage);
	}

	/**
	* Constructeur 
	* 
	*/
	public AuthLDAPException () {
		setDisplayMessage(msgDefault);
	}		
		

}
